- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# MacroBuf_s Struct Reference

Macro expansion state. More...

## Data Fields
const char * | s
char * | t
size_t | nb
int | depth
int | macro_trace
int | expand_trace
void * | spec
MacroContext | mc

## Detailed Description

Macro expansion state.

Definition at line 72 of file macro.c.

## Field Documentation

const char* MacroBuf_s::s

Text to expand.

Definition at line 73 of file macro.c.

Referenced by expandMacro(), expandT(), and expandU().

char* MacroBuf_s::t

Expansion buffer.

Definition at line 74 of file macro.c.

Referenced by expandMacro(), and expandU().

size_t MacroBuf_s::nb

No. bytes remaining in expansion buffer.

Definition at line 75 of file macro.c.

Referenced by doShellEscape(), expandMacro(), and expandU().

int MacroBuf_s::depth

Current expansion depth.

Definition at line 76 of file macro.c.

Referenced by expandMacro(), freeArgs(), grabArgs(), printExpansion(), and printMacro().

int MacroBuf_s::macro_trace

Pre-print macro to expand?

Definition at line 77 of file macro.c.

Referenced by expandMacro().

int MacroBuf_s::expand_trace

Post-print macro expansion?

Definition at line 78 of file macro.c.

Referenced by expandMacro().

void* MacroBuf_s::spec

(future) file expansion info?.

Definition at line 79 of file macro.c.

MacroContext MacroBuf_s::mc

Definition at line 80 of file macro.c.

Referenced by doDefine(), expandMacro(), freeArgs(), and grabArgs().

The documentation for this struct was generated from the following file:

- rpmio/macro.c